/*
 * Copyright (c) univento.eu 2016. Any attempt to use these program(s) without permission may result in a penalty of up to 1.000€
 */

package eu.univento.woolget.game;

import eu.univento.woolget.WoolGet;
import eu.univento.woolget.utils.Utils;
import org.bukkit.Bukkit;
import org.bukkit.scheduler.BukkitRunnable;


/**
 * runnable for game counter
 * @author joethei
 * @version 0.2
 */
public class GameCounter extends BukkitRunnable{

    private int time = 0;
    private int maxTime = 1000;

    public void run() {
        if(WoolGet.getGameStage() == GameStage.Game) {
            if(WoolGet.getPlayers().size() <= 1) {
                Utils.endGame(WoolGet.getGameStage());
            }
            if(time == maxTime) {
                WoolGet.setGameStage(GameStage.Restart);
                WoolGet.restartID = WoolGet.getInstance().getServer().getScheduler().scheduleSyncRepeatingTask(WoolGet.getInstance(), new RestartCounter(), 20L, 20L);
                Bukkit.getScheduler().cancelTask(WoolGet.gameID);
            }
            time++;
        }
        return;
    }

}